Skip to Content

Get a message attachment

Returns a short-lived download URL for one of the message's attachments. Request: GET /v1/mailboxes/{id}/messages/{messageId}/attachments/{attachmentId}.

GET
/v1/mailboxes/{id}/messages/{messageId}/attachments/{attachmentId}

Returns a short-lived download URL for one of the message's attachments.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
messageId*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
attachmentId*string
Match^att_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

MailboxDownloadUrl

application/json
  1. response
url*string
expiresAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.getMessageAttachment({
  "id": "example",
  "messageId": "example",
  "attachmentId": "example"
});
Example Response
{
  "url": "string",
  "expiresAt": "string"
}

Related documentation